# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Perlilog
Version:        0.3
Release:        alt1_15
Summary:        Verilog environment and IP core handling in Perl
License:        GPLv2
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perlilog/
Source0:        http://www.cpan.org/authors/id/B/BI/BILLAUER/Perlilog-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)

# filter RPM 4.8
%{echo 
%filter_from_provides /perl.PL_const.pm./d
%filter_from_provides /perl.PL_hardroot.pm./d
%filter_from_provides /perl.PL_settable.pm./d
%filter_from_provides /perl.UNIVERSAL.pm./d

}
# filter RPM 4.9




Source44: import.info

%description
Perlilog is a command-line tool which generates Verilog
modules from a set of files, which come in several other
formats. It was originally designed to integrate Verilog IP cores.

%prep
%setup -q -n Perlilog-%{version}

# rpmlint : line endings
affected=`find examples/ -type f -name "*.*"`
for i in license.txt $affected ; do
  echo "Fixing wrong-file-end-of-line-encoding : $i"
  %{__sed} 's/\r//' $i > $i.rpmlint
  touch -r $i $i.rpmlint;
  %{__mv} $i.rpmlint $i
done

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes license.txt
%doc examples/
%dir %{perl_vendor_privlib}/Perlilog
%{perl_vendor_privlib}/Perlilog/*
%{perl_vendor_privlib}/testclass.pl
%{perl_vendor_privlib}/Perlilog.pm

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_15
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_14
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_12
- fc import

